<?php

namespace common\models;

use common\modules\product\models\ProductVariant;

class OrdersProducts extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return 'orders_products';
    }
    
    public function rules()
    {
        return [
            [['order_id'], 'required'],
            //['email', 'email'],
            [['product_name','name','price','count','sum_cost','mod_id','sku'], 'safe'],
        ];
    }
    
    
	public function attributeLabels()
	{
		return [
			'product_name'=>'Продукт',
			'name'=>'Вид',
                        'art'=>'Артикул',
                        'cost'=>'Цена за один',
			'count'=>'Кол.',
                        'sum_cost'=>'Сумма',
		];
	}

    public function getProductVariant()
    {
        return $this->hasOne(ProductVariant::className(), ['product_variant_id' => 'mod_id']);
    }
}  